=== debian/changelog ===
zynaddsubfx (2.2.1-4) unstable; urgency=low

  * Added zlib1g-dev to the build dependencies (closes: #352014) 

 -- macan <macan@debian.org>  Fri, 10 Feb 2006 13:15:38 -0200

zynaddsubfx (2.2.1-3) unstable; urgency=low

  * Patched zynaddsubfx to connect to the default jack output
  * Fixed some compilation warnings and crashing caused by a bug in virtual keyboard, patch by Guus Sliepen (closes: #350152)
  * Updated .desktop file to be XDG compliant. Patch by Free Ekanayaka (closes: #313368)
  * Set realtime priority acordingly. Patch by Ben Hutchings (closes: #314671)

 -- Eduardo Marcel Macan <macan@debian.org>  Wed,  8 Feb 2006 08:50:06 -0200

zynaddsubfx (2.2.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * build-depend on libjack0.100.0-dev. Closes: #317229.

 -- Andreas Barth <aba@not.so.argh.org>  Sun, 31 Jul 2005 13:56:28 +0200

zynaddsubfx (2.2.1-2) unstable; urgency=high

  * Added noui as a parameter to initprogram() (closes: #307522)
  * Fixed issues introduced by Brossier's patch (#306824) on little endian architectures (closes: #309401)

 -- Eduardo Marcel Macan <macan@debian.org>  Tue, 17 May 2005 11:29:38 -0300

zynaddsubfx (2.2.1-1) unstable; urgency=low

  * Gave proper credit in this changelog to people who sent patches
  * New upstream release

 -- Eduardo Marcel Macan <macan@debian.org>  Fri, 29 Apr 2005 09:29:12 -0300

zynaddsubfx (2.2.0-2) unstable; urgency=low

  * Fixed endianess problem thanks Paul Brossier (closes: #306824)

 -- Eduardo Marcel Macan <macan@debian.org>  Fri, 29 Apr 2005 09:17:20 -0300

zynaddsubfx (2.2.0-1) unstable; urgency=low

  * New upstream release
  * Fixed XMLWrapper so that saved parameters are loaded properly

 -- Eduardo Marcel Macan <macan@debian.org>  Sat, 23 Apr 2005 08:18:08 -0300

zynaddsubfx (2.1.1-1.1) unstable; urgency=low

  * NMU
  * Changes src/UI/PresetsUI.fl to include FL/fl_ask.H instead of
    FL/fl_ask.h (closes: #304125)
  * Disabled non portable float to int assembly conversion in 
    src/Makefile.inc (ASM_F2I=NO)

 -- Paul Brossier <piem@altern.org>  Wed, 13 Apr 2005 03:54:45 +0100

zynaddsubfx (2.1.1-1) unstable; urgency=low

  * menu file now references zyn's icon (closes: #299412)
  * New upstream release (closes: #269004) 

 -- Eduardo Marcel Macan <macan@debian.org>  Tue, 28 Dec 2004 20:50:04 -0200

zynaddsubfx (1.4.3-1.1) unstable; urgency=low

  * NMU
  * recompile with libjack0.80.0-dev (closes: #228790)

 -- Junichi Uekawa <dancer@debian.org>  Wed, 28 Jan 2004 06:50:09 +0900

zynaddsubfx (1.4.3-1) unstable; urgency=low

  * New upstream release

 -- Eduardo Marcel Macan <macan@debian.org>  Wed,  3 Sep 2003 16:05:56 -0300

zynaddsubfx (1.4.2-2) unstable; urgency=low

  * Fixed build dependencies (closes: #203424)

 -- Eduardo Marcel Macan <macan@debian.org>  Thu,  7 Aug 2003 08:54:35 -0300

zynaddsubfx (1.4.2-1) unstable; urgency=low

  * New upstream release

 -- Eduardo Marcel Macan <macan@debian.org>  Thu, 17 Jul 2003 21:54:46 -0300

zynaddsubfx (1.4.1-1) unstable; urgency=low

  * Initial Release.

 -- Eduardo Marcel Macan <macan@debian.org>  Thu, 19 Jun 2003 23:33:18 -0300
