=== debian/control ===
Source: zynaddsubfx
Section: sound
Priority: extra
Maintainer: Eduardo Marcel Macan <macan@debian.org>
Build-Depends: debhelper (>> 4.0.0), fluid (>= 1.1.3+1.1.4rc1), libjack0.100.0-dev, libfltk1.1-dev (>= 1.1.3+1.1.4rc1), libasound2-dev (>= 0.9.4), fftw3-dev (>=3.0.1-11), libmxml-dev (>= 2.0), zlib1g-dev
Standards-Version: 3.6.2.2

Package: zynaddsubfx
Architecture: any
Depends: ${shlibs:Depends} 
Description: Realtime software synthesizer for Linux
 A real-time software synthesizer for Linux and Windows with many
 features, including polyphony, multi-timbral and microtonal 
 capabilities. It includes randomness of some parameters, which 
 makes warm sounds, like analogue synthesizers.
 It has system/insertion effects too, and much more.
